<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:padding="16dp">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <View
            android:id="@+id/headView"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:background="@drawable/bg_skeleton_radius_999" />

        <View
            android:layout_width="64dp"
            android:layout_height="16dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="12dp"
            android:layout_toRightOf="@+id/headView"
            android:background="@drawable/bg_skeleton_radius_4" />

        <View
            android:layout_width="56dp"
            android:layout_height="28dp"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:background="@drawable/bg_skeleton_radius_999" />
    </RelativeLayout>

    <View
        android:layout_width="240dp"
        android:layout_height="16dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/bg_skeleton_radius_4" />

    <View
        android:layout_width="160dp"
        android:layout_height="16dp"
        android:layout_marginTop="8dp"
        android:background="@drawable/bg_skeleton_radius_4" />

    <View
        android:layout_width="match_parent"
        android:layout_height="184dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/bg_skeleton_radius_4" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp">

        <View
            android:id="@+id/viewLeft"
            android:layout_width="48dp"
            android:layout_height="20dp"
            android:background="@drawable/bg_skeleton_radius_999"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/viewRight"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/viewRight"
            android:layout_width="48dp"
            android:layout_height="20dp"
            android:background="@drawable/bg_skeleton_radius_999"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/viewLeft"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>